Bukkit, CraftBukkit, Spigot & BungeeCord 1.12.1

Discussion in 'News and Announcements' started by md_5, Aug 3, 2017.

Thread Status:
Not open for further replies.
  1. That was so fast I didn't even know 1.12.1 had released yet!
     
  2. So now is the recipebook also serverside?
     
    • Like Like x 1
  3. md_5

    Administrator Developer

    You just add it to the command
     
  4. Is it gonna break any Plugins?
    Edit: Nevermind, see comment on Page 2.....
     
  5. Thanks!

    I made a server yesterday with latest version for spigot yesterday to test a plugin. 1.12.1 on the launcher, no biggie I thought. Actually, it made the server outdated. Thanks for the quick update :)

    ~ramidzkh
     
  6. You'll have to uninstall/completely disable your AV.
    Then delete all of the downloaded BuildTools folders.
     
  7. Hmm, I got this :(

    Attempting to build version: 'latest' use --rev <version> to override
    Could not get version latest does it exist? Try another version or use 'latest'
    javax.net.ssl.SSLException: java.security.ProviderException: java.security.InvalidKeyException: EC parameters error
    at sun.security.ssl.Alerts.getSSLException(Alerts.java:208)
    at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1914)
    at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1872)
    at sun.security.ssl.SSLSocketImpl.handleException(SSLSocketImpl.java:1855)
    at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1376)
    at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1353)
    at sun.net.www.protocol.https.HttpsClient.afterConnect(HttpsClient.java:559)
    at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.connect(AbstractDelegateHttpsURLConnection.java:185)
    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1348)
    at sun.net.www.protocol.https.HttpsURLConnectionImpl.getInputStream(HttpsURLConnectionImpl.java:254)
    at org.spigotmc.builder.Builder.get(Builder.java:481)
    at org.spigotmc.builder.Builder.main(Builder.java:236)
    Caused by: java.security.ProviderException: java.security.InvalidKeyException: EC parameters error
    at sun.security.pkcs11.P11Key$P11ECPublicKey.getEncodedInternal(P11Key.java:1024)
    at sun.security.pkcs11.P11Key.equals(P11Key.java:158)
    at java.util.ArrayList.indexOf(ArrayList.java:298)
    at java.util.ArrayList.contains(ArrayList.java:281)
    at sun.security.validator.PKIXValidator.engineValidate(PKIXValidator.java:239)
    at sun.security.validator.Validator.validate(Validator.java:260)
    at sun.security.ssl.X509TrustManagerImpl.validate(X509TrustManagerImpl.java:326)
    at sun.security.ssl.X509TrustManagerImpl.checkTrusted(X509TrustManagerImpl.java:231)
    at sun.security.ssl.X509TrustManagerImpl.checkServerTrusted(X509TrustManagerImpl.java:126)
    at sun.security.ssl.ClientHandshaker.serverCertificate(ClientHandshaker.java:1459)
    at sun.security.ssl.ClientHandshaker.processMessage(ClientHandshaker.java:213)
    at sun.security.ssl.Handshaker.processLoop(Handshaker.java:961)
    at sun.security.ssl.Handshaker.process_record(Handshaker.java:897)
    at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:1033)
    at sun.security.ssl.SSLSocketImpl.performInitialHandshake(SSLSocketImpl.java:1342)
    at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1369)
    ... 7 more
    Caused by: java.security.InvalidKeyException: EC parameters error
    at sun.security.ec.ECParameters.getAlgorithmParameters(ECParameters.java:284)
    at sun.security.ec.ECPublicKeyImpl.<init>(ECPublicKeyImpl.java:59)
    at sun.security.pkcs11.P11Key$P11ECPublicKey.getEncodedInternal(P11Key.java:1021)
    ... 22 more
    Caused by: java.security.NoSuchProviderException: no such provider: SunEC
    at sun.security.jca.GetInstance.getService(GetInstance.java:83)
    at sun.security.jca.GetInstance.getInstance(GetInstance.java:206)
    at java.security.Security.getImpl(Security.java:697)
    at java.security.AlgorithmParameters.getInstance(AlgorithmParameters.java:199)
    at sun.security.ec.ECParameters.getAlgorithmParameters(ECParameters.java:279)
    ... 24 more
     
  8. electronicboy

    IRC Staff

    the easiest fix for that is to uninstall java and install the Oracle JDK, your version of Java is either installed improperly or doesn't include a library that is required.
     
  9. I also have some trouble installing Java. Lots of errors and packages not found. For some reason Java is the only thing I ever have trouble with.
    But thank you very much for your response, I will try to figure it out.

    Edit: oh my god, it works now. This is a miracle.
     
    #49 mwaning, Aug 5, 2017
    Last edited: Aug 5, 2017
  10. I`m using BuildTools GUI. It`s the most simple way to run buildtool on Windows.
     
  11. Does that build for 1.12.1?
     
  12. 2008Choco

    Resource Staff

    Should work just fine for any version supported by BuildTools. It's pretty much just a pretty little interface for BuildTools and that's about it. Functions the same way, last I recall
     
  13. Alright because I've been getting some errors running a batch file to build (I think it might be my GIT installation as it mentions something about "Who are you") which is weird because I was able to build 1.12 just fine. I'll report back when I find out if Build Tools GUI works or not
     
    • Like Like x 1
  14. yeap, this app can build any version.
     
  15. Alright it compiled 1.12.1 successfully for me. It had to be my GIT installation (As Build Tools GUI downloads a portable version). Weird, Guess I'll be using the GUI version from now on.

    EDIT:
    Nevermind, it only built the normal 1.12 version... Do I have to change the settings in the GUI to download 1.12.1?

    When starting the server it no longer give the "Error update to the newest version of spigot" error but minecraft still says its a 1.12 server

    EDIT:EDIT:
    Found the 1.12.1 option in Build Tools GUI. Trying that now

    EDIT:EDIT:EDIT:
    Okay for right now you have to manually select 1.12.1. If set to latest it will download 1.12.
     
    #55 ThatBenderGuy, Aug 6, 2017
    Last edited: Aug 6, 2017
    • Informative Informative x 1
  16. Well...I cannot do /server on my own bungeecord server
     
  17. Hey, does anyone know where to find the Bungeecord 1.12.1 jar/files. Jenkins only has the 1.12 bungeecord. Thanks :)
     
  18. Jenkins #1251 Above are 1.12.1
     
    • Like Like x 1
  19. RIP
     
Thread Status:
Not open for further replies.

Share This Page